Bug 191452 - Review Request: orpie - scientific calculator
Review Request: orpie - scientific calculator
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-05-12 00:41 EDT by Chris Petersen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-19 20:07:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Petersen 2006-05-12 00:41:08 EDT
Spec URL: http://forevermore.net/files/packages/orpie/orpie.spec
SRPM URL: http://forevermore.net/files/packages/orpie/orpie-1.4.3-1.src.rpm

Description: 

Orpie is a fullscreen console-based RPN calculator that uses the curses
library.  Its operation is similar to that of modern HP calculators, but data
entry has been optimized for efficiency on a PC keyboard. Its features include
extensive scientific calculator functionality, command completion, and a
visible interactive stack.
Comment 1 Aurelien Bompard 2006-05-14 13:22:52 EDT
Needs work:
"Requires: ncurses" is useless, it's picked-up by RPM (libncurses.so.5)
Comment 2 Chris Petersen 2006-05-14 13:36:17 EDT
fixed.
Comment 3 Aurelien Bompard 2006-05-14 14:31:25 EDT
Review for release 1:
* RPM name is OK
* Source orpie-1.4.3.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Works fine

Minor:
* Duplicate BuildRequires: ocaml (by camlp4)

Notes:
Always increment the release tag when you change something in the package, even
during the review process. It makes it easier to know what has been approved.
Comment 4 Chris Petersen 2006-05-14 23:44:53 EDT
Spec updated..  new srpm at:

http://forevermore.net/files/packages/orpie/orpie-1.4.3-3.src.rpm
Comment 5 Aurelien Bompard 2006-05-20 02:54:54 EDT
The only change is the release bump and the removal of BuildRequires: ocaml, so
release 3 is still APPROVED. You can go ahead and import, good work.

Note You need to log in before you can comment on or make changes to this bug.